function scope_1D03C15B_DBEF_4FFD_BBD1_57ACA8FE439D(namespace, framework) {
if(typeof namespace == "object")
{
namespace.onload = function() {	
		if(this.framework.fileExists("geoip.xml")){
			var config_content = namespace.framework.loadFile("geoip.xml");
			var configXmlDoc = namespace.framework.loadXML(config_content);
			var geoipNode  = configXmlDoc.getElementsByTagName("GEOIP");
			if(geoipNode.length != 0)
				var geoip = geoipNode[0].firstChild.nodeValue;


           namespace.toolbar.$recurse(namespace.toolbar,
                function(element) {
                    if (element.getAttribute("geoip") != null){
                           if (String(element.getAttribute("geoip")).search(geoip) == -1){
                             element.setAttribute("hidden", "true");
                             element.setAttribute("optional", "false");
                          }
                    }
                return true;
            });
        }

	    if ( this.toolbar.getElementById(this.framework.applicationId + '-settings-language-menupopup') != null){
	        this.toolbar.getElementById(this.framework.applicationId + '-settings-language-menupopup').addEventListener("popupshowing",function(){
		        namespace.refreshLocaleMenu();
	         });
	    }

		namespace.framework.addEventListener(this, "documentload",
			function() {
				var doc = namespace.framework.getContentDocument();
				try{
					var dd = doc.domain;
					if (dtxFramework.IE){
						if(dd.indexOf("toolbar.vmn.net") != -1)
							doc.getElementById('uninstallVMNToolbar').attachEvent("onclick", function(){namespace.UninstallToolbar();});
					}else if(dtxFramework.MOZILLA){
						if(dd.indexOf("toolbar.vmn.net") != -1)
							doc.getElementById('uninstallVMNToolbar').addEventListener("click", function(){namespace.UninstallToolbar();}, false);
					}
				}catch(e){}
		});
};
	
	namespace.refreshLocaleMenu = function(){
        var locale  = this.framework.getLocale();
        var selection = this.toolbar.getElementById(this.framework.applicationId + '-settings-language-'+locale);
        var menu = this.framework.getElementById(this.framework.applicationId + '-settings-language-menupopup');
        
        if(selection != null){
            selection.setAttribute('checked', 'true');
        }
        
        for(var i=0;i<menu.childNodes.length;i++){
            if(menu.childNodes[i] != selection) menu.childNodes[i].setAttribute('checked', 'false');
            menu.childNodes[i].setAttribute('label',this.framework.getLocaleName(menu.childNodes[i].getAttribute('label')));
        }
	};
	
	
	namespace.setLocale = function(locale){
		namespace.framework.setLocale(locale);
	};

	namespace.UninstallToolbar = function(){
	    if (dtxFramework.MOZILLA){
			    var forxpi = namespace.framework.loadChromeFile("..\\forxpi.dat");
			    if ( forxpi != null){
				    var agree = confirm('Do you really want to uninstall ' + namespace.toolbar.getAttribute("toolbarname")  + ' Toolbar?');
				    if(agree)
				    {   
                        uninstallFFPostString = namespace.framework.loadFile("uninstallFF.dat");
                        if(uninstallFFPostString) {
                            var urlToPost = namespace.toolbar.getElementById(namespace.framework.applicationId + "-stats").getAttribute("urlToPost") || "";                           
                            if (urlToPost != ""){
                                req = namespace.framework.createHTTPRequest(urlToPost, "POST");
                                req.setRequestHeader('Content-Type', "application/x-www-form-urlencoded");
                                req.send(uninstallFFPostString);
                             }
                        }
       
                        try{
                            var extMan = Components.classes["@mozilla.org/extensions/manager;1"].getService(Components.interfaces.nsIExtensionManager);
                            var extID = namespace.framework.guid ;
                            if(extMan.uninstallExtension){
                                extMan.start(true);
                                extMan.uninstallExtension(extID);
                            }else{
                                extMan.uninstallItem(extID);
                            }
                        }catch(e){
                              AddonManager.getAddonByID(namespace.framework.guid, function(addon) {
                              addon.uninstall();
                            });
                        }
       
                        namespace.framework.alert("The " + namespace.toolbar.getAttribute("toolbarname")  + " Toolbar has now been uninstalled. The Toolbar will be removed on your next Firefox restart.");
       
                        netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
                        var DIR_SERVICE = new Components.Constructor("@mozilla.org/file/directory_service;1","nsIProperties");
                        var path = (new DIR_SERVICE()).get("ProfD", Components.interfaces.nsIFile).path;
                            if (path.search(/\\/) != -1)
                                path = path + "\\" + namespace.framework.dataFolder + "\\";
                            else
                                path = path + "/" + namespace.framework.dataFolder + "/";
                           
                           namespace.framework.$deleteFolder(path);
			            return false;
			            }				
			    }
		}
    	
    	var uninstallerPath = namespace.framework.readRegistry('HKEY_LOCAL_MACHINE', 'SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\' + namespace.framework.applicationId, 'UninstallString');
	    if(uninstallerPath == null || uninstallerPath == ''){
		    var programFiles = namespace.framework.getEnv('ProgramFiles(x86)');
		    if (programFiles == ''){
			    programFiles = namespace.framework.getEnv('ProgramFiles');
		    }
		    uninstallerPath = programFiles + "\\" + namespace.framework.applicationId + "\\uninstall.exe";
	    }
	
		namespace.framework.launchExe(uninstallerPath);
	};

	
	namespace.engineSelect = function(engineId, menuitemid, parent){
		var searchBar = namespace.toolbar.getElementById(namespace.toolbarId + "-search");
		if(engineId == 'search0'){
			engId = searchBar.getAttribute("selectedengine");
			if (engineId != engId && searchBar.getAttribute("webengine")){
				engId = searchBar.getAttribute("webengine");			
			}else{
				engId = "search1";
			}	
		}else{
			engId = engineId;
		}
		searchBar.$engineSelected(engId); 
	};

    namespace.engineselected = function(evt){
	    var engineid  = evt.id;
	    var item	  = evt.item;
    	
	    var searchbar = evt.target;

 	    if (!item){
				    var itemId = searchbar.$id + "-" + 'search0' + searchbar.$ID_ENGINE_POPUP_ITEM;
				    evt.item 		= namespace.framework.getElementById(itemId);
				    searchbar.setAttribute("webengine" , engineid);
 		    }

	    engine = searchbar.$getEngineById(engineid);
    	
	    if (engine.shortName == "Web Search"){
	    searchbar.setAttribute("webengine", engineid);
	    }
    	
	    var searchList 	= namespace.framework.getElementById(namespace.$ID_SEARCH_OPTION_BUTTON);	    
    	
	    if(searchList){
		    var optionItemId = searchbar.getAttribute("id") + "-" + engineid + namespace.$ID_SEARCH_OPTION_ITEM; ;
		    var optionItem 		= namespace.framework.getElementById(optionItemId);
		    if (optionItem){
			    searchList.setAttribute('label', optionItem.getAttribute('label'));
			    searchList.setAttribute('image', optionItem.getAttribute('image'));
		    }
	    }
    	
	    if (!searchbar.getAttribute("webengine")){
					    if (!engineId) {
					    engineId = searchbar.$ENGINE_FRAG_ID + "1";
					    searchbar.setAttribute("webengine" , engineId);
					    }
	    }
    };
}
}

drazecom.framework.addEventListener(window, "load", function(){scope_1D03C15B_DBEF_4FFD_BBD1_57ACA8FE439D.apply(drazecom, [drazecom, drazecom.framework])});