var m_sAPIUrl = top.apiUrl;
var callerid	=	top.callerId;

var siteUrl = "http://shopping.mystart.com";

var browserURL 	=	top.currentURL;
var framework	=	top.framework;


var shoppingFound = top.shoppingFound;
var currentAlert	=	top.currentAlert;

var placementID		=	top.placementID;
var manageAlertObj		=	top.manageAlertObj;

var COOKIE_NAME			=	top.COOKIE_NAME;
var COOKIE_DOMAIN_URL	=   top.COOKIE_DOMAIN_URL;
var COOKIE_EXPIRATION_DURATION	=	top.COOKIE_EXPIRATION_DURATION;
var COOKIE_EXPIRATION_DELETE	=	top.COOKIE_EXPIRATION_DELETE;

if (framework)
{
	var cookieVal					=	framework.applicationId+"_showAlertDisabled_bizrate";
}


var currentAlertImage			=	top.currentAlertImage;
var currentAlertMerchantLogoUrl	=	top.currentAlertMerchantLogoUrl;
var currentAlertMerchantName	=	top.currentAlertMerchantName;
var currentAlertPrice			=	top.currentAlertPrice;
var currentAlertTitle			=	top.currentAlertTitle;
var currentAlertUrl				=	top.currentAlertUrl;

var nbComparePriceNumber		=	top.nbComparePriceNumber;

var m_hCategory = {};
var m_hMostUsed = {};


var oDomInterfaces = null;
var oDomCategoryList = null;

var oDomSubCategoryList = null;
var oDomSearchResultList = null;


var m_sSelectedSubCategoryName = '';

var m_hSubCategory = {};
var m_hCategories = {};
var m_hSelectedChannel = 0;

var locationX = 500;
var locationY = 200;


	


function updateInterface(oVisible) {

	var o = null;
	if (oVisible == undefined) {
		o = jQuery("#interfaces .vScrollInterface")
	} else {
		o = oVisible;
	}
	o.each(function (i, o) {

		var oParent = jQuery(o).parent();
		var oUL = jQuery(o).find("ul");

		
		if (jQuery(o).scrollTop() > 0) {
			oParent.find(".prev").removeClass('prevDisabled');
		} else {
			oParent.find(".prev").addClass('prevDisabled');
		}

		if(
			oUL.height() > jQuery(o).height() &&
			oUL.height() != jQuery(o).height() + jQuery(o).scrollTop()
		) {
			oParent.find(".next").removeClass('nextDisabled');
		} else {
			oParent.find(".next").addClass('nextDisabled');
		}
	});
}


/**
 * Call Inner LIVE api.
 * @param String sMethod
 * @param hash hParam
 * @param function fCallback
 */

 function hashToURLParam(h) {
	var sParam = '';
	for(var i in h) {
		sParam += (sParam? '&': '')+ escape(i)+ "="+ escape(h[i]);
	}
	return sParam;
}


 function array_flip(a) {
	var h = {};
	if (a != null) for(var i=0; i<a.length; i++) { h[a[i]] = i; }
	return h;
}

function array_keys(a) {
	aR = [];
	for(var i in a) { aR.push(i); }
	return aR;
}

 
function callAPI(sMethod, hParam, fCallback) {
	var sQuery = hashToURLParam(hParam);
	
	jQuery("#working").show();
	jQuery.getJSON(
		m_sAPIUrl+ "/"+ sMethod+ "/index.php?"+ 
		sQuery+ (sQuery? '&callback=?': 'callback=?'), 
		function(hData) {
			fCallback(hData);
			updateInterface();
		}
	);
	jQuery("#working").hide();
}



function populateCategory(categoryType) {
	
	oDomInterfaces.find(".category .entry").remove();
	oDomInterfaces.find(".merchant .back").html('<span>Back</span>');
	
	jQuery.each(categoryType, function(i, hRow) {
		
		var oEntry = jQuery('<li class="entry category"><span class="'+"name"+'"></span></li>');
		oEntry.attr("CategoryID", i);
		
		oEntry.find('.name').text(hRow);
		oDomCategoryList.append(oEntry);
	});
	
		
	jQuery("#interfaces").scrollTo('.category', 0);
	oDomInterfaces.find(".category .vScrollInterface").scrollTo('0');
	updateInterface();
	
	$('#listnav').listnav({
		includeAll:true,
		showCounts:false,
		includeNums:false
		
	});
	
	
}

function populateSubCategory() {
	oDomInterfaces.find(".subcategory h2").text(m_sSelectedSubCategoryName);
	oDomSubCategoryList.empty();
	
	oDomInterfaces.find(".merchant .back").html('<span>Back</span>');
	
	if(Number(m_iSelectedCountryId))
	{
		callAPI('get_category', {CategoryID: Number(m_iSelectedCountryId)	}, function(hData) {
			var hCategories = {};
			
			jQuery.each(hData, function(i, hRow) {
				
				m_hSubCategory[hRow.id] = hRow; 
				var oEntry = jQuery('<li class="entry subcategory"><span class="name"></span></li>');
				oEntry.find('.name').text(hRow.name.substr(0, 30)+ (hRow.name.length > 30? '...': ''));
				oEntry.attr('subCategory_id', hRow.id);
				oEntry.attr('subCategory_name', hRow.name);
				hCategories[hRow.category_id] = true;
				oDomSubCategoryList.append(oEntry);
							
			});

			if (oDomSubCategoryList.children('li').length == 0) {
				oDomSubCategoryList.append('<li class="noresult">No results to display</li>');
			}
			jQuery("#interfaces").scrollTo('.subcategory', 500);
		});
	
	}
	oDomInterfaces.find(".subcategory .vScrollInterface").scrollTo('0');
	updateInterface();
}


var pagination_options = {
      num_edge_entries: 1,
      num_display_entries: 4,
      callback: pageselectCallback,
      items_per_page:1,
	   paginatorPosition : 'top'
    }
    function pageselectCallback(page_index, jq){
      var items_per_page = pagination_options.items_per_page;
	  
      var offset = page_index * items_per_page;
	  currentPIndex	= offset + 1;
	  $('#currentPaginationIndex').html(currentPIndex);
	  var new_content = $('#hiddenresult div.result').slice(offset, offset + items_per_page).clone();
      $('#Searchresult').empty().append(new_content);
	    
      return false;
    }


function initPagination(num_entries) {
      // Create pagination element
      $("#Pagination").pagination(num_entries, pagination_options);
    }
	

function displayStoresList(m_iSelectedProductID,m_iSelectedProductTitle, filtre)
{

	m_iSelectedProductTitle = m_iSelectedProductTitle.substr(0, 25)+ (m_iSelectedProductTitle.length > 25? '...': '')
	oDomInterfaces.find(".store .entry").remove();
	oDomInterfaces.find(".store h2").html(m_iSelectedProductTitle);
	oDomInterfaces.find(".store .back").html('<span>Back</span>');
	
	oDomStoreDetail.empty();
	
	callAPI('get_offers', 
		{
			ProductID: m_iSelectedProductID,
			placementId: placementID,
			offers_sort_by: filtre,
			callback: '?'
		}, function(hData) {
		
		jQuery.each(hData.OfferList, function(i, hRow) {
			
			var OfferID				= hRow.ID;
			var OfferTitle			= hRow.Title;
			var OfferDescription	= hRow.Description;
			var OfferCondition		= hRow.Condition;
						
			var OfferManufacturer	= hRow.Manufacturer;
			var OfferMerchantName	= hRow.MerchantName;
			var OfferMerchantLogo	= hRow.MerchantLogo;
			
			
				
			var OfferPrice			= hRow.Price;
			var OfferURL			= hRow.URL;
			
						
			var oEntry = jQuery('<li class="entry store"><span class="name"></span></li>');
			oEntry.attr('OfferURL', OfferURL);						
			var Storesentry	=	'<div class="productItem">';
			Storesentry	+=	'<table cellpadding=3>';
			Storesentry	+=	'<tr>';
			Storesentry	+=	'<td rowspan=3 width=115><img src="'+OfferMerchantLogo+'" width="110" height="20" title="go to store" alt="go to store"/></td>';
			Storesentry	+=	'<td><span class="titleformat">'+OfferTitle.substr(0, 55)+ (OfferTitle.length > 55? '...': '')+'<span></td>';
			Storesentry	+=	'</tr>';
			Storesentry	+=	'<tr><td>Price:&nbsp<span class="priceformat">'+OfferPrice+'</span>&nbsp; at&nbsp;'+OfferMerchantName+'</span></td></tr>';
			Storesentry	+=	'<tr><td><img src="btn-gotostore.png" width="135" height="31"/></td></tr>';
			Storesentry	+=	'</table>';
			Storesentry	+=	'</div>';
				
			oEntry.find('.name').html(Storesentry);
			oDomStoreDetail.append(oEntry);
		
		});
		
		if (oDomStoreDetail.children('li').length == 0) {
			oDomStoreDetail.append('<li class="noresult">No results to display</li>');
		}
		jQuery("#interfaces").scrollTo('.store', 500);
	});
	oDomInterfaces.find(".store .vScrollInterface").scrollTo('0');
	updateInterface();
}

function display_shopping(currentAlertImage, currentAlertMerchantLogoUrl, currentAlertMerchantName, currentAlertPrice, currentAlertTitle, currentAlertUrl)
{
	oDomShoppingDetail.empty();
	
	var oEntry = jQuery('<li class="entry shopping"><span class="name"></span></li>');
	oEntry.attr('shoppingURL', currentAlertUrl);
	
	var html = '';
	
	html += '<div id="hiddenresult" style="display:none;">';
	
	for(j=0;j<currentAlert.length;j++)
	{
		
		html += '<div class="result">';
		html		+=		'<div class="shoppinginfo"><img src="'+currentAlert[j][0]+'" onerror="this.src='+"'"+'not_available.gif'+"'"+';"/>';
		html += '</div>';
		
		html		+=		'<div class="shoppinginfotitle">'+currentAlert[j][1].substr(0, 75)+(currentAlert[j][1].length > 75? '...': '')+'</div>';
		
		html		+=		'<div class="shoppinginfomerchant"><a href="#" onclick="sendStat();framework.loadURI('+"'"+currentAlert[j][4]+"'"+');return false;"><img src="'+currentAlert[j][2]+'" /><span class="shoppriceformat">'+currentAlert[j][3]+'</span></a></div>';
		html		+=		'<div class="shoppinginfo"><a href="#" onclick="sendStat();framework.loadURI('+"'"+currentAlert[j][4]+"'"+');return false;"><img src="btn-gotostore.png" width="135" height="31"/></a></div>';
		
		html		+=	'</div>';
	}
	
	html	+= '</div>';
			
	html += '<div id="Searchresult"></div>';
	
	html += '<div id="moreOffers">See More offers(<span id="currentPaginationIndex"></span>/'+currentAlert.length+')</div>';
	html += '<div id="Pagination" class="pagination"></div>';
	
	
	oEntry.find('.name').html(html);
	
	oDomShoppingDetail.append(oEntry);
	
		
	jQuery("#interfaces").scrollTo('.shopping', 500);
	oDomInterfaces.find(".shopping .vScrollInterface").scrollTo('0');
	updateInterface();
	
	initPagination(nbComparePriceNumber);
	
}


function populateMerchant(id, subCategoryName)
{
	oDomInterfaces.find(".merchant .entry").remove();
	
	if (subCategoryName == 'popular'){
		oDomInterfaces.find(".merchant .back").html('<span>Back</span>');
		oDomInterfaces.find(".merchant h2").text("Most Popular");
	}
	else
	{
		oDomInterfaces.find(".merchant h2").html(subCategoryName);
		oDomInterfaces.find(".merchant .back").html('<span>Back</span>');
	}
	oDomSubMerchantList.empty();
	callAPI('search', 
		{
			Keyword: subCategoryName,
			placementId: placementID,
			callback: '?'
		}, function(hData) {
		
		jQuery.each(hData.ProductList, function(i, hRow) {
			var ProductID			= hRow.ID;
			var ProductTitle		= hRow.Title;
			var ProductDescription	= hRow.Description;
			var ProductImage		= hRow.Image;
			var ProductManufacturer	= hRow.Manufacturer;
			var ProductMaxPrice		= hRow.MaxPrice;
			var ProductMinPrice		= hRow.MinPrice;
			var ProductStores		= hRow.Stores;
				
			var oEntry = jQuery('<li class="entry merchant"><span class="name"></span></li>');
			oEntry.attr('ProductID', ProductID);
			oEntry.attr('ProductTitle', ProductTitle);
			oEntry.attr('ProductDescription', ProductDescription);
			oEntry.attr('ProductManufacturer', ProductManufacturer);
			oEntry.attr('ProductMaxPrice', ProductMaxPrice);
			oEntry.attr('ProductMinPrice', ProductMinPrice);
			oEntry.attr('ProductStores', ProductStores);
			oEntry.attr('ProductImage', ProductImage);
			oEntry.attr('FromSearch', 'merchant');
						
			var Merchantentry	=	'<div class="productItem">';
			Merchantentry	+=	'<table>';
			Merchantentry	+=	'<tr>';
			Merchantentry	+=	'<td rowspan=4 width=100><img src="'+ProductImage+'" width=95 height=95/></td>';
			Merchantentry	+=	'<td><span class="titleformat">'+ProductTitle.substr(0, 55)+(ProductTitle.length > 55? '...': '')+'</span></td>';
			Merchantentry	+=	'</tr>';
			Merchantentry	+=	'<tr><td>Price range:&nbsp<span class="priceformat">'+ProductMinPrice+' - '+ProductMaxPrice+'</span></td></tr>';
			Merchantentry	+=	'<tr><td>Number of stores : '+ ProductStores+'</td></tr>';
			Merchantentry	+=	'<tr><td>'+ProductManufacturer+'</td></tr>';
			Merchantentry	+=	'</table>';
			Merchantentry	+=	'</div>';
				
			oEntry.find('.name').html(Merchantentry);
			oDomSubMerchantList.append(oEntry);
		});
		
		if (oDomSubMerchantList.children('li').length == 0) {
			oDomSubMerchantList.append('<li class="noresult">No results to display</li>');
		}
		jQuery("#interfaces").scrollTo('.merchant', 500);
	});
	oDomInterfaces.find(".merchant .vScrollInterface").scrollTo('0');
	updateInterface();
}

function populateSearchResult() {
	
	oDomInterfaces.find(".search_result h2").text("Search: "+ unescape(jQuery("#searchfield").val()) );
	jQuery("#tab_ul li").removeClass('current');
	var NumResults = 0;
	oDomSearchResultList.empty();
	if (jQuery("#searchfield").val() != '') {
		callAPI('search', {
			Keyword: jQuery("#searchfield").val(),
			placementId: placementID,
			callback: '?'
		}, function(hData) {

			NumResults = hData.Total;
			
			if (NumResults > 0)
			{
			jQuery.each(hData.ProductList, function(i, hRow) {
				
				var ProductID			= hRow.ID;
				var ProductTitle		= hRow.Title;
				var ProductDescription	= hRow.Description;
				var ProductImage		= hRow.Image;
				var ProductManufacturer	= hRow.Manufacturer;
				var ProductMaxPrice		= hRow.MaxPrice;
				var ProductMinPrice		= hRow.MinPrice;
				var ProductStores		= hRow.Stores;
					
				var oEntry = jQuery('<li class="entry search_result"><span class="name"></span></li>');
				
				oEntry.attr('ProductID', ProductID);
				oEntry.attr('ProductTitle', ProductTitle);
				oEntry.attr('ProductDescription', ProductDescription);
				oEntry.attr('ProductManufacturer', ProductManufacturer);
				oEntry.attr('ProductMaxPrice', ProductMaxPrice);
				oEntry.attr('ProductMinPrice', ProductMinPrice);
				oEntry.attr('ProductStores', ProductStores);
				oEntry.attr('ProductImage', ProductImage);
				oEntry.attr('FromSearch', 'search');
				
				var Merchantentry	=	'<div class="productItem">';
				Merchantentry	+=	'<table>';
				Merchantentry	+=	'<tr>';
				Merchantentry	+=	'<td rowspan=4 width=100><img src="'+ProductImage+'" width=95 height=95/></td>';
				Merchantentry	+=	'<td><span class="titleformat">'+ProductTitle.substr(0, 55)+(ProductTitle.length > 55? '...': '')+'</span></td>';
				Merchantentry	+=	'</tr>';
				Merchantentry	+=	'<tr><td>Price range:&nbsp<span class="priceformat">'+ProductMinPrice+' - '+ProductMaxPrice+'</span></td></tr>';
				Merchantentry	+=	'<tr><td>Number of stores : '+ ProductStores+'</td></tr>';
				Merchantentry	+=	'<tr><td>'+ProductManufacturer+'</td></tr>';
				Merchantentry	+=	'</table>';
				Merchantentry	+=	'</div>';
							
				oEntry.find('.name').html(Merchantentry);
				oDomSearchResultList.append(oEntry);
				});
			}
			
			if (oDomSearchResultList.children('li').length == 0) {
				oDomSearchResultList.append('<li class="noresult">No results to display</li>');
			}
			
			jQuery("#interfaces").scrollTo('.search_result', 0);
		});
	} else {
		oDomSearchResultList.append('<li class="noresult">No results to display</li>');
		jQuery("#interfaces").scrollTo('.search_result', 0);
	}
	oDomInterfaces.find(".search_result .vScrollInterface").scrollTo('0');
	
}


function activateTab(sName) {
	jQuery("#tab_ul li").removeClass('current');
	jQuery("#"+ sName).addClass('current');
}

function clickCategory()
{
			$('#listnav-nav').html('');
			oDomInterfaces.find(".merchant a").removeClass();
			oDomInterfaces.find(".merchant a").addClass('back');
			activateTab('tab_category');
			populateCategory(m_hCategory);
}




function addDot() {
		  $('#dots').append('.');
		}

		
function sendStat()
{
	jQuery.getJSON("http://shopping.mystart.com/clicks/index.php?click="+framework.applicationId+"&jsoncallback=?", 
		function(data) {
				}
	);
}
		
		
		
jQuery(document).ready(function() {
	
	oDomInterfaces = jQuery("#interfaces");
	oDomCategoryList = oDomInterfaces.find(".category .list");
	$('#iframe').attr("src", $('#iframe').attr("src")+callerid); 
	
	if(framework)
		$('#iframefb').attr("src", $('#iframefb').attr("src")+framework.applicationId+'-'+framework.mainContainer.getAttribute("version"));
	
	callAPI('get_category', {CategoryID: 0},function(hData) {
			for(var i in hData) {
				m_hCategory[hData[i].id] = hData[i].name; 
			}
		if (!shoppingFound)
		{
			$('#listnav-nav').html('');
			activateTab('tab_category');
			populateCategory(m_hCategory);
			
		}
		else
		{
			display_shopping(currentAlertImage, currentAlertMerchantLogoUrl, currentAlertMerchantName, currentAlertPrice, currentAlertTitle, currentAlertUrl);
		}
	
	});
	
	
	try{	
		manageAlertObj.onclick = function(){
		
			jQuery("#tab_ul li").removeClass('current');
			var name = framework.hasDomainCookie(COOKIE_DOMAIN_URL, COOKIE_NAME);
				
			if(name != null)	
				$('#enableAlerts').attr('checked', false);
			else
				$('#enableAlerts').attr('checked', true);
		
		
			jQuery("#interfaces").scrollTo(".managealert", 500);
			return false;
		};
	}catch(e)
	{}
		
	jQuery("#button_search").hover(function() {
		jQuery("#sboxgames").toggleClass('sprite_over');
	});
	
	jQuery(".save").live('click', function() {
		if($('#enableAlerts').attr('checked') == false)
			framework.createDomainCookie(COOKIE_DOMAIN_URL, COOKIE_NAME, cookieVal, COOKIE_EXPIRATION_DURATION);
		else
			framework.createDomainCookie(COOKIE_DOMAIN_URL, COOKIE_NAME, cookieVal, COOKIE_EXPIRATION_DELETE);
			
		clickCategory();

	});
	
	
	
	oDomCategoryList.find('li').live('click', function() {
		if (jQuery(this).hasClass('noresult')) return;
		m_iSelectedCountryId = jQuery(this).attr('CategoryID');
		m_sSelectedSubCategoryName = jQuery(this).find('.name').text();
			
		populateSubCategory();
	});

	
		
	oDomSubCategoryList = oDomInterfaces.find(".subcategory .list");
	oDomSubMerchantList = oDomInterfaces.find(".merchant .list");
	oDomStoreDetail = oDomInterfaces.find(".store .list");
	oDomShoppingDetail = oDomInterfaces.find(".shopping .shopping_detail");
	
	oDomInterfaces.find(".coupon .back").click(function() {
		if($('#from').html() == 'merchant')
				jQuery("#interfaces").scrollTo('.merchant', 500);
		else
				jQuery("#interfaces").scrollTo('.search_result', 500);
		return false;
	});
	
	
	
	oDomStoreDetail.find('li').live('click', function() {
		sendStat();
		framework.loadURI(jQuery(this).attr('OfferURL'));
		return;
	});
	
	
	oDomInterfaces.find(".store .filter").change(function() {
		var selectedVal = jQuery('.sort .filter').val();
		displayStoresList(m_iSelectedProductID,m_iSelectedProductTitle, selectedVal);
		
	});
	
	oDomInterfaces.find(".search_result .filter").change(function() {
		populateSearchResult();
	});
	
	
	oDomInterfaces.find(".subcategory .back").click(function() {
		jQuery("#interfaces").scrollTo(".category", 500);
		return false;
	});

	oDomInterfaces.find(".store .back").click(function() {
		
		if (m_iSelectedFrom == "search")
			jQuery("#interfaces").scrollTo(".search_result", 500);
		else
			jQuery("#interfaces").scrollTo(".merchant", 500);
			
			
		return false;
	});
	
	
	
	oDomSubCategoryList.find('li').live('click', function() {
		if (jQuery(this).hasClass('noresult')) return;
		m_iSelectedSubCategoryId = jQuery(this).attr('subCategory_id');
		m_iSelectedSubCategoryName = jQuery(this).attr('subCategory_name');
		
		oDomInterfaces.find(".merchant .filter option:first").attr("selected", "selected");
		populateMerchant(m_iSelectedSubCategoryId, m_iSelectedSubCategoryName);
	});

		
	oDomSubMerchantList.find('li').live('click', function() {
		if (jQuery(this).hasClass('noresult')) return;
		
			
		m_iSelectedProductID = jQuery(this).attr('ProductID');
		m_iSelectedProductTitle = jQuery(this).attr('ProductTitle');
		m_iSelectedProductDescription = jQuery(this).attr('ProductDescription');
		m_iSelectedProductImage = jQuery(this).attr('ProductImage');
		m_iSelectedProductManufacturer = jQuery(this).attr('ProductManufacturer');
		m_iSelectedProductMinPrice = jQuery(this).attr('ProductMinPrice');
		m_iSelectedProductMaxPrice = jQuery(this).attr('ProductMaxPrice');
		m_iSelectedProductStores = jQuery(this).attr('ProductStores');
		m_iSelectedFrom			=	jQuery(this).attr('FromSearch');
	
		var selectedVal = jQuery('.sort .filter').val();
		displayStoresList(m_iSelectedProductID,m_iSelectedProductTitle, selectedVal);
		
	});
	
	// Search result BEGIN
	oDomSearchResultList = oDomInterfaces.find(".search_result .list");
	
	oDomSearchResultList.find('li').live('click', function() {
		
		if (jQuery(this).hasClass('noresult')) return;
		m_iSelectedProductID = jQuery(this).attr('ProductID');
		
		m_iSelectedProductTitle = jQuery(this).attr('ProductTitle');
		m_iSelectedProductDescription = jQuery(this).attr('ProductDescription');
		m_iSelectedProductImage = jQuery(this).attr('ProductImage');
		m_iSelectedProductManufacturer = jQuery(this).attr('ProductManufacturer');
		m_iSelectedProductMinPrice = jQuery(this).attr('ProductMinPrice');
		m_iSelectedProductMaxPrice = jQuery(this).attr('ProductMaxPrice');
		m_iSelectedProductStores = jQuery(this).attr('ProductStores');
		m_iSelectedFrom			=	jQuery(this).attr('FromSearch');
		
		var selectedVal = jQuery('.sort .filter').val();
		displayStoresList(m_iSelectedProductID,m_iSelectedProductTitle, selectedVal);
	});
	
		
	oDomInterfaces.find(".merchant .back").click(function() {
		jQuery("#interfaces").scrollTo(".subcategory", 500);
		return false;
	});
	
	//open mystart coupons website
	
	$('#sitelink').click(function(){
		 window.open(siteUrl);
		 return false;
	 });

	
	
		
	
	
	
	jQuery("#searchfield").keyup(function(event) {
		var unicode = event.keyCode;
		if (unicode == 13) { populateSearchResult(); return false; }
	});
	
	jQuery("#button_search").click(function() {
		populateSearchResult();
		return false;
	});
		
	// Search result END
	
	// Next / prev BEGIN
	oDomInterfaces.find(".prev").click(function() {
		var oVisible = jQuery(this).parent().find('.vScrollInterface');
		oVisible.scrollTo("-="+oVisible.height()+"px", 500, function() { updateInterface(oVisible); });
		return false;
	});

	oDomInterfaces.find(".next").click(function() {
		var oVisible = jQuery(this).parent().find('.vScrollInterface');
		oVisible.scrollTo("+="+oVisible.height()+"px", 500, function() { updateInterface(oVisible); });
		updateInterface(oVisible);
		return false;
	});

	
	var bSkipEvent = false;
	var i = 0;
	jQuery('body').bind('wheel', function(event, delta) {
		if (bSkipEvent == false) {
			bSkipEvent = true;
			var oVisible = jQuery('.vScrollInterface');
			if (delta > 0) {
				oVisible.scrollTo("-=500px", 500, function() { bSkipEvent = false; updateInterface(oVisible); });
			} else {
				oVisible.scrollTo("+=500px", 500, function() { bSkipEvent = false; updateInterface(oVisible); });
			}
		}
	}); 
	
	// Next / prev END

	

});


