<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" />

<xsl:template match="games">

	<xsl:for-each select="item">
		<xsl:if test="position() mod 5 = 1 and position() != 1">
			<br style="clear:both"/>
		</xsl:if>
		
		<xsl:if test="position() &lt;= last()">	
		<a id="id_div_Content_{position()}" class="gamelisting_game" style="cursor:pointer" href="#" onclick="GameOnClick('{position()}'); return false;" 
			ondblclick="GameOnDoubleClick('{position()}'); return false;">
			<table cellspacing="0" border="0" width="70" height="85">
				<tr width="100%" valign="bottom" align="center">
					<td height="53px">
						<img id="id_Content_Img_{position()}" src="{image}" style="width:60px; height:50px; border:0px; xmargin-top:2px; xmargin-left:2px;" />
					</td>
				</tr>
				<tr>
					<td width="68px" height="30px" align="center" valign="top"> 
						<div id="id_Content_title_{position()}" class="gamelisting_game_title"><xsl:value-of select="title" /></div>
						<div id="id_Content_description_{position()}" style="display:none;"><xsl:value-of select="description" /></div>					
						<div id="id_Content_link_{position()}" style="display: none;"><xsl:value-of select="link/text()" /></div>
						<div id="id_Content_swf_{position()}" style="display: none;"><xsl:value-of select="swf" /></div>
						<div id="id_width_swf_{position()}" style="display: none;"><xsl:value-of select="sizeW" /></div>
						<div id="id_hight_swf_{position()}" style="display: none;"><xsl:value-of select="sizeH" /></div>
					</td>
				</tr>
			</table>
		</a>
		</xsl:if>
		
	</xsl:for-each> 
	<div id="id_last" style="display:none;"><xsl:value-of select="count(item)" /></div>
	<xsl:for-each select="item">
		<div style="visibility:hidden;"  >
			<img id="id_div_Img_{position()}" src="{image}" />
		</div>
	</xsl:for-each> 
	
	</xsl:template>

</xsl:stylesheet>
