
function getExternalManifestValue(id) {
	var node = external.getElementsByTagName(id);
	if (node && node.length > 0){
		return node[0].firstChild.nodeValue;
	}
	return "";
}


var external = manifest.getElementsByTagName("externalManifest");
if (external.length == 0)
	return;
external = external[0];

if(external.firstChild == null)
	return;
external = framework.loadXML(external.firstChild.nodeValue);


if(!framework.compareFrameworkVersion){
	framework.compareFrameworkVersion = function(v1,v2){
		function v2f(v){
			va =  (new String(v)).split('.');
			vs = '';
			for(var i=0;i<va.length;i++){
				vs+= parseInt(va[i],10);
				if(i==0) vs+='.';
			}
			return parseFloat(vs);
		}
		
		v1 = v2f(v1);
		v2 = v2f(v2);
		
		if(v1 < v2){
			return -1;
		}else if(v1 == v2){
			return 0;
		}
		
		return 1;
	}
}

// Check if you can install the widget
if (framework.compareFrameworkVersion(framework.getVersion(),getExternalManifestValue("fw_version")) < 0){
	alert("You toolbar will not support this app.  Please upgrade your toolbar.");
	return;
}

function setMutiAttr(o, h) {
	for(var i in h) { o.setAttribute(i, h[i]); }
}

var widget = this;

var coupons = new function(){

	var self = this;
	/* Constatnts */
	
	
	
	/* Constants */
	var appPartnerId;
	var partnerIdXML;
	var vNodePartner
	
	try{
			if (framework.loadChromeFile("content\\partner.coupons.xml") == null)
			{
				if (framework.loadChromeFile("content\\widgets\\" + manifest.getAttribute("id") + "\\partner.xml") == null)
				{
					appPartnerId = 1;
				}
				else
				{
					partnerIdXML = framework.loadXML(framework.loadChromeFile("content\\widgets\\" + manifest.getAttribute("id") + "\\partner.xml"));
					vNodePartner = partnerIdXML.getElementsByTagName("partner");
					if(!vNodePartner || vNodePartner.length == 0) {
						appPartnerId = 1;
					}
					else
					{
						appPartnerId = vNodePartner[0].getAttribute('id');
						if(!appPartnerId) 
							appPartnerId = 1;
					}
				}
			}
			else
			{	
				
				partnerIdXML = framework.loadXML(framework.loadChromeFile("content\\partner.coupons.xml"));
				vNodePartner = partnerIdXML.getElementsByTagName("partner");
				appPartnerId = vNodePartner[0].getAttribute('id');
			
			}
			
	}
	catch(e)
	{
	}
	
	
	this.COUPONS_SITE_URL = getExternalManifestValue("site_url")+'/?id=';
	this.COUPON_URL = "http://couponwinner.com/services/toolbar.asmx/GetDynamicCouponByMerchantID?intMerchantID=";
	this.MERCHANTS_URL = "http://download.vmn.net/dtx_coupons/merchants.xml";
	this.TRACKING_ID = appPartnerId;
	
	this.MERCHANTS_LIST = "coupons\\merchants.xml";
	this.MERCHANTS_TTL  = 24 * 60 * 60 * 1000; //24 hours
	this.REDEEM_TIMEOUT = 30 * 1000; // 30 seconds before considering that the reddem didn't succeed.
	this.PANEL_TIMEOUT = 25 * 1000; // Display the panel for 25 seconds
	this.CATEGORIES_URL = getExternalManifestValue("site_url")+"/api/get_all_categories/?format=xml";
	this.CATEGORIES_LIST = "coupons\\categories.xml";
	this.CATEGORIES_TTL  = 24 * 60 * 60 * 1000; //24 hours
	this.ADDITIONAL_COUPON_URL = "http://www.shoppingsyndication.com/visicom/coupons.xml?merchant_id=";
	this.ADDITIONAL_MERCHANTS_URL = "http://www.shoppingsyndication.com/visicom/merchants.xml";
	this.ADDITIONAL_MERCHANTS_LIST = "coupons\\merchants2.xml";
    this.CLICK_STORE_URL = "http://www.shoppingsyndication.com/visicom/click_store?id=";
    this.$merchantNames = {};
    this.$merchantIdByHostAdditionalList = {};
    this.$currentAdditionalMerchant = null;
    this.$additional_redeemInProcess = false;
	this.$redeemAdditionalTimeoutId = null
    this.$currentData     = null;

	this.$merchantsList = new Array();//{};
	this.$merchantIdByHost = {};
	this.$currentMerchant = null;
	this.$currentCoupon   = null;
	this.$redeemInProcess = false;
	this.$redeemTimeoutId = null
	this.$panelTimeoutId = null
	this.$couponButton = null;
    this.googleInnerHtml="";
	this.$injectTimeout = 0;
	this.$merchantIdByHostAdditionalList = {};
	this.$couponDomain	=	null;
	
	this.$couponMerchantName	=	null;
	
	//Cookie
	this.COOKIE_DOMAIN_URL	=	"http://apps.mystart.com";
	this.COOKIE_EXPIRATION_DURATION	=	365;
	this.COOKIE_EXPIRATION_DELETE	=	-2;  //Delete cookie
	this.COOKIE_NAME				=	framework.applicationId+"_alertDisabled_couponCamp";
	
	this.$couponPanel = null;
	this.$iconimage		= getExternalManifestValue("buttonIcon") || "tb_icon.png";
	this.$imagePath		= framework.makeChromeURL('content/widgets/' + manifest.getAttribute("id") + '/' + this.$iconimage);
	this.$widgetPath		= framework.makeChromeURL('content/widgets/' + manifest.getAttribute("id") + '/');
	
	this.HELP_URL		=	getExternalManifestValue("site_url")+"/?view=faq&tb=";
	
	this.$couponFound	=	false;
	this.$couponListAlert	=	new Array();
	this.$nbcoupons			=	0;
	
	
	this.$clickShowAlert	=	false;
	
	//this.$tooltipScript = "";
	this.isV3andUp = framework.compareFrameworkVersion(framework.getVersion(),'1.0.3') >= 0;
	this.isV2andUp = framework.compareFrameworkVersion(framework.getVersion(),'1.0.2') >= 0;
	
	if (dtxFramework.IE){
		var ieVersion = parseFloat(navigator.appVersion.split("MSIE")[1]);
		this.isIE6 = (ieVersion >= 5.5) && (ieVersion < 7);
	}
	
	if(this.isIE6 && framework.compareFrameworkVersion(framework.getVersion(),'1.0.3.20') < 0){
		//overwrite the original makeImagePathFromChrome which has an issue
		// The original one assume that images are in the installation folder and not 
		framework.makeImagePathFromChrome = function(chrome_path){
			
			chrome_path = chrome_path.replace("chrome://"+this.applicationId+"/","");

			if (dtxFramework.MOZILLA) {
				/*$MOZILLA_START$*/
				var path = this.getExtensionDir();
				if (path.search(/\\/) != -1) {
					path = path + "\\chrome\\";
				} else {
					path = path + "/chrome/";
					chrome_path = chrome_path.replace(/\\/g, "/");
				}
				return path + chrome_path;
				/*$MOZILLA_END$*/
			}else if (dtxFramework.IE) {
				/*$IE_START$*/
				if(framework.fileExists(DTFramework.getConfigString("UserDir") + "chrome\\" + chrome_path.replace(/\//g, "\\")))
					return DTFramework.getConfigString("UserDir") + "chrome\\" + chrome_path.replace(/\//g, "\\");
				else
					return DTFramework.getConfigString("CacheDir") + "chrome\\" + chrome_path.replace(/\//g, "\\");
				/*$IE_END$*/
			}
			
			return '';
		};
	}
    
	/*this.$loadJSTooltip = function(){
		try{
			this.$tooltipScript = framework.loadChromeFile("\\content\\widgets\\"+manifest.getAttribute("id")+"\\couponTooltip.js");	
		}catch(ex){}
	};*/
	
	this.$loadMerchantsList = function(){
		this.$merchantsList = new Array();//{};
		try{
			
			var content = this.$fixXmlFeed(framework.loadFile(this.MERCHANTS_LIST));
			
			if(content){
				var xmlDoc = framework.loadXML(content);
				var nodes = xmlDoc.getElementsByTagName("Merchant");
				if(nodes){
					for(var i=0;i<nodes.length;i++){
						var url = nodes[i].getAttribute('MerchantURL');
						var id = nodes[i].getAttribute('MerchantID');
						if (url){
							if (url.slice(0,7) == 'http://')
								url = url.slice(7);
							if (url.slice(0,8) == 'https://')
								url = url.slice(8);
							if (url.slice(url.length-1) == '/')
								url = url.slice(0,url.length-1);
							this.$merchantsList[id] = url;
							
							this.$merchantIdByHost[url] = id;
							
							
						}
					}
					
				}
			}
		}catch(e){
			
			framework.getLogger().error("Error parsing Merchants List: "+e.message);
		}
	};
	
	
	
	this.$init = function(){
		
		try{
			if(!this.$isAppInstalled()){
				//this.$installApp();
			}
			
			if(dtxFramework.MOZILLA){
				gBrowser.tabContainer.addEventListener("TabSelect", this.$onDocumentLoad, false);
			}
			this.appTitle = "Coupons";
			this.appPath = framework.makeChromeURL('content/widgets/' + manifest.getAttribute("id")+'/');
			this.$initAppButton();
			this.$loadMerchantsList();
			framework.setTimeout(function(){self.$loadAdditionalMerchantsList()}, 500);
		
			framework.addEventListener(this, "documentload", this.$onDocumentLoad);
			
			// Handle coupons data when user changes tabs
				// Every tab holds its own coupon/merchant data
			if(dtxFramework.MOZILLA){
				gBrowser.tabContainer.addEventListener("TabSelect", function(){
						var tabBrowser = gBrowser.selectedBrowser;
						if(self.$panel){
							self.hidePanel();
						}
						
						self.$currentData = tabBrowser.$currentData;
						self.$currentAdditionalMerchant = tabBrowser.$currentAdditionalMerchant;
						self.$currentMerchant = tabBrowser.$currentMerchant;
						self.$currentCoupon = tabBrowser.$currentCoupon;
						self.refreshCouponButton();
				}, false);
			}
			
			framework.setTimeout(function(){
				self.$updateDataFeed(self.ADDITIONAL_MERCHANTS_URL,self.ADDITIONAL_MERCHANTS_LIST,self.MERCHANTS_TTL, function(){ self.$loadAdditionalMerchantsList();});
				self.$updateDataFeed(self.MERCHANTS_URL,self.MERCHANTS_LIST,self.MERCHANTS_TTL, function(){self.$loadMerchantsList()});
				//self.$updateDataFeed(self.CATEGORIES_URL,self.CATEGORIES_LIST,self.CATEGORIES_TTL, function(){ self.$loadCategoriesList()});
				//self.$loadCategoriesList();
			},500);
					
			
			widget.serialize = true;
			widget.buttonId  = this.$couponButton;
			
			if(framework.mainContainer.getAttribute("toolbarname"))
				this.$callerid = 'Widget'+'-'+manifest.getAttribute("id")+'-'+framework.applicationId+'-'+framework.mainContainer.getAttribute("version");
			}
			catch(e)
			{
				//alert(e.message);
				framework.getLogger().error("Error on coupons::$init => "+e.message);
			}
	};
		
	
	this.$initAppButton = function(){
		// Create the Button
		if(framework.mainContainer.getElementById(framework.applicationId + '-coupon-button') != null) {
		      this.$couponButton = framework.getElementById(framework.applicationId + '-coupon-button');
		} else {	
			this.$couponButton = framework.createElement("toolbarbutton");
			this.$couponButton.setAttribute("id", framework.applicationId + '-coupon-button');
			this.$couponButton.setAttribute("label","Coupons");
			this.$couponButton.setAttribute("title",this.appTitle);
			this.$couponButton.setAttribute("tooltiptext",this.appTitle);
			this.$couponButton.setAttribute("optional","true");
			this.$couponButton.setAttribute("track","true");
					
			this.$couponButton.setAttribute("image", this.$imagePath);
			this.$couponButton.setAttribute("defaultimage", this.$imagePath);
			this.$couponButton.setAttribute("persist", "hidden index alertDisabled");
			this.$couponButton.setAttribute("imageheight",  "16");
			this.$couponButton.setAttribute("imagewidth",   "16");
			this.$couponButton.setAttribute("imagewidth",   "16");
			
			framework.mainContainer.appendChild(this.$couponButton);
		}
		//alert(this.$couponButton.getAttribute("alertDisabled"));
			
		this.$couponButton.addEventListener('command',function(evt){
			self.$openPanel();
			
		});
	
	};
	
	this.$setCookie	=	function(cookieDomain, cookieName, cookieVal, duration){
		framework.createDomainCookie(cookieDomain, cookieName, cookieVal, duration);
		};
	
	this.$getCookie	=	function(cookieDomain, cookieName){
		var cName	=	framework.hasDomainCookie(cookieDomain, cookieName);
		return cName;
	};

	
	this.$downloadDataFeed = function(url, localPath, callback){
		framework.download(url,
			function(url, httpcode, content) {
				try{
					if (httpcode === 200) {
						framework.saveFile(localPath,content);
						if(callback) callback();
					}else{
						framework.getLogger().error("Error downloading Data Feed ["+url+"]. HTTP Code: " + httpcode);
					}
				}catch(e){
					framework.getLogger().error("download error: "+e.message)
				}
		});
	};

    // download the coupon information
    this.$downloadCouponInfo = function(url, couponId, callback){
  		framework.download(url,
            function(url, httpcode, content) {
                try{
                    if (httpcode === 200) {
                        //framework.saveFile(localPath,content);
                        if(callback) callback(couponId,content);
                    }else{
                        framework.getLogger().error("Error downloading coupon info ["+url+"]. HTTP Code: " + httpcode);
                    }
                }catch(e){
                    framework.getLogger().error("download error: "+e.message)
                }
        });
    };
	
	// Insert the coupon details in the page
	this.$insertCouponInfo =  function(merchantID,content){
		try {
			var doc = framework.getContentDocument();
			var myBody = doc.getElementsByTagName('body')[0];
			var mySpan = doc.createElement('span');
			var xmlDoc = framework.loadXML(content);
			var merchantImage = xmlDoc.getElementsByTagName("MerchantImage")[0].firstChild.data;
			var merchantHeadline = xmlDoc.getElementsByTagName("Headline")[0].firstChild.data;
			var merchantDescription = xmlDoc.getElementsByTagName("Description")[0].firstChild.data;
			
			
			mySpan.innerHTML = "<span id='merchantInfo" + merchantID + "' style='display:none'>" + merchantImage +"|"+merchantHeadline+"|"+merchantDescription + "</span>"
			myBody.appendChild(mySpan);
		}catch(e){}
	};
	
	this.$updateDataFeed = function(url, localPath, ttl, callback){
		if (dtxFramework.IE && DTFramework.WEB)
			return;
		
		var lastModified =  new Date(framework.getLastModifiedTime(localPath));
		
		var age = (new Date()).getTime() - lastModified.getTime();
		if(age >= ttl){
			this.$downloadDataFeed(url, localPath, callback);
		}
	};
	
	
	//This is a patch that remove non-ascii characters from coupons feed
	// The fix should be applied server side. 
	this.$fixXmlFeed = function(content){
		// Exclude any xml not-allowed characters
		return content.replace(/^.*[^\x20-\x7F\x09\x0a\x0d].*$/gm,'');
	};
	
	this.injectForGoogle = function(doc, disp){
        try{
            tempInnerHtmlString = doc.body.innerHTML;
            var pageUrl;
            if(dtxFramework.MOZILLA)
                pageUrl = String(doc.location);
            else if(dtxFramework.IE)
                pageUrl = String(doc.URL);
                
            if(self.googleInnerHtml == tempInnerHtmlString)
                return;        
            this.$onDocumentLoad(pageUrl, disp);
            self.googleInnerHtml = tempInnerHtmlString; 
        }catch(e){self.info("injectForGoogle.Error[" + e.message + "]");}
    };
	
	this.$onDocumentLoad = function(url,disp){
		
		if((self.$couponButton.getAttribute("hidden") == "true") || (dtxFramework.IE && !disp.TopLevelContainer)) return;
		
		if (self.$injectTimeout != 0) {
            framework.clearInterval(self.$injectTimeout);
            self.$injectTimeout = 0;
        }
		
		var merchant = self.getMerchantByUrl(url);
		
        var additional_merchant = self.getAdditionalMerchantByUrl(url);
		
        /* additional coupons [[[*/
        if(additional_merchant){
            if(self.$additional_redeemInProcess && additional_merchant.id == self.$currentAdditionalMerchant.id){
				self.$additional_redeemInProcess = false;
				framework.clearTimeout(self.$redeemAdditionalTimeoutId);
			}else if (!self.$currentAdditionalMerchant || additional_merchant.id != self.$currentAdditionalMerchant.id){
				self.$currentAdditionalMerchant = additional_merchant;
				self.getCurrentData(additional_merchant.id,url);
			}
		}else if(!self.$additional_redeemInProcess){
            self.$currentAdditionalMerchant = null;
            self.$currentData = null;
        }  	
		
		if(merchant){
			if(self.$redeemInProcess && merchant.id == self.$currentMerchant.id){
				self.$redeemInProcess = false;
				framework.clearTimeout(self.$redeemTimeoutId);
			}else if (!self.$currentMerchant || merchant.id != self.$currentMerchant.id){
				self.$currentMerchant = merchant;
				self.getCouponData(merchant.id,url);
				
				var regexp = /(http|https):\/\/(.*?)[:\/\?$]/im;
				var match = regexp.exec(url);
				var sDomain = match[2];
				var d		=	sDomain.split('.');
				sDomain		=	d.slice(-2).join('.'); 
				this.$couponDomain = sDomain;
			}
		}else if(!self.$redeemInProcess){
			self.$currentMerchant = null;
			self.$currentCoupon = null;
			self.refreshCouponButton();
		}
		
		if(dtxFramework.MOZILLA){
			var tabBrowser = self.getTabBrowserByUrl(url);
            tabBrowser.$currentAdditionalMerchant = self.$currentAdditionalMerchant;            
			tabBrowser.$currentData = self.$currentData;   
			tabBrowser.$currentMerchant = self.$currentMerchant;
			tabBrowser.$currentCoupon = self.$currentCoupon;
		}
		
		//inject
		try{
			if(!dtxFramework.IE || !DTFramework.WEB)
			{
				var doc = framework.getContentDocument();
				var domain = doc.domain;
				if(domain.indexOf("www.google.") != -1 ||
				   domain.indexOf("search.yahoo.com") == 0 ||
				   domain.indexOf("www.bing.com") == 0 ||
				   domain.indexOf(".mystart.com") != -1)
				{
					self.$oInject.preStart();
					self.$oInject.start(doc.getElementsByTagName('body')[0]);
					//preparing before getCoupons():
					//clear arMerchantsToDownload
					self.$oInject.arMerchantsToDownload.splice(0, self.$oInject.arMerchantsToDownload.length);
					//copy oInjectedMerchants->arMerchantsToDownload
					for(var merchNum in self.$oInject.oInjectedMerchants){
						//self.info('merch='+self.$oInject.oInjectedMerchants[merchNum].merchantID);
						self.$oInject.arMerchantsToDownload.push(self.$oInject.oInjectedMerchants[merchNum].merchantID);
					}
					//arMerchantsToDownload will be 0 at the end
					self.$oInject.getCoupons(doc, url);
					
					// handle google instant searches    
					if(domain.indexOf("www.google.") != -1)
					   self.$injectTimeout = framework.setInterval(function(){self.injectForGoogle(doc, disp)}, 3000);
					   
					var myScript = doc.createElement('script');
					myScript.type = "text/javascript";
					myScript.charset = "utf-8";
					myScript.text = framework.loadChromeFile("\\content\\widgets\\"+manifest.getAttribute("id")+"\\couponTooltip.js");	//this.$tooltipScript;
					doc.getElementsByTagName("head")[0].appendChild(myScript);
				}//if domain
			}			 
		}catch(e){}
		
	};//onDocumentLoad
	
	
	
	this.isAlertEnabled = function(){
		return this.$couponButton.getAttribute('alertDisabled')!='true';
	};
	
	this.refreshCouponButton =  function(){
		var image = this.appPath + "tb_icon.png";
		this.$couponButton.setAttribute('imagewidth', "16");
		
		if(this.$currentCoupon){
			image = this.appPath + "ico-coupon.png";
			this.$couponButton.setAttribute('imagewidth', "26");
		}
		this.$couponButton.setAttribute('image',image);
	};
	
	this.$onCouponDataReady = function(url,status, responseText,triggerUrl){
		if(status == 200){
			self.$currentCoupon = self.parseCouponData(responseText);
			
			if(dtxFramework.MOZILLA){
				var tabBrowser = self.getTabBrowserByUrl(triggerUrl);
				tabBrowser.$currentCoupon = self.$currentCoupon;
			}
			
			if(self.$currentCoupon && self.$currentMerchant && self.matchUrlHost(framework.getCurrentURI().toString(),self.$currentMerchant.host)){
				self.refreshCouponButton();
				if(self.$couponButton.getAttribute("hidden") != "true"){
					if(self.isAlertEnabled() || (self.$panel && self.$panel.$window)){
						self.hidePanel();
						self.displayPanel(self.PANEL_TIMEOUT);
						//Save auto show as activity
						var statElement = self.getStatsElement();
						if(statElement){
							statElement.addClickActivity(framework.applicationId + '-coupons-app-menu-auto-showpanel');
						}//Save auto show as activity
					}//Panel Display
				}
			}
		}
	};
	
	this.parseCouponData = function(data){
		var coupon = {};
		
		try{
			var xmlDoc = framework.loadXML(data);
			var nodes = xmlDoc.getElementsByTagName("CouponID");
			coupon.couponID = nodes[0].firstChild.data;
			nodes = xmlDoc.getElementsByTagName("MerchantID");
			coupon.merchantID = nodes[0].firstChild.data;
			nodes = xmlDoc.getElementsByTagName("CouponCode");
			coupon.couponCode = nodes[0].firstChild.data;
			nodes = xmlDoc.getElementsByTagName("Headline");
			coupon.headline = nodes[0].firstChild.data;
			
			nodes = xmlDoc.getElementsByTagName("Description");
			coupon.description = nodes[0].firstChild.data;
			
			nodes = xmlDoc.getElementsByTagName("MerchantName");
			coupon.merchantName = nodes[0].firstChild.data;
			nodes = xmlDoc.getElementsByTagName("MerchantImage");
			coupon.merchantImage = nodes[0].firstChild.data;
			nodes = xmlDoc.getElementsByTagName("TrackingLink");
			coupon.trackingLink = nodes[0].firstChild.data;

			coupon.clickToRedeem = (new RegExp('Click to Redeem', "i")).test(coupon.couponCode);
			coupon.redeemed = false;
			
			this.$couponListAlert[0] = new Array(coupon.couponID, coupon.headline, coupon.description,coupon.trackingLink,coupon.couponCode);
			
			this.$couponFound = true;
			this.$couponMerchantName	=	coupon.merchantName;
			this.$couponMerchantImage	=	coupon.merchantImage;
			
		}catch(e){
			coupon = null;
			framework.getLogger().error("Error parsing Coupon Data: "+e.message);
		}
		
		return coupon;
	}
	
		
	this.getCouponData = function(merchanId,triggerUrl){
 		framework.download(this.COUPON_URL+merchanId,function(url,status, responseText){
		self.$onCouponDataReady(url, status, responseText, triggerUrl);
		});
	};
	
    this.$onCurrentDataReady = function(url, status, responseText, triggerUrl){
		if(status == 200){
			self.$currentData = self.parseCurrentData(responseText);
			if(dtxFramework.MOZILLA){
				var tabBrowser = self.getTabBrowserByUrl(triggerUrl);
				tabBrowser.$currentData = self.$currentData;
			}
		}
	};
	this.parseCurrentData = function(data){
		var oData = {};//result will be here (coupons as objects)
		try{
			var xmlDoc = framework.loadXML(data);
			
			var nodes = xmlDoc.getElementsByTagName("coupon");
			var len = 0;
			if(nodes){
				var fnGetText = function(xmlNode, tagName) {
					var child = xmlNode.getElementsByTagName(tagName)[0];
					if (!child) 
						return;
					if(dtxFramework.IE){
						return child.text;
					}else{
						return child.textContent;
					}
				};
				this.$nbcoupons = nodes.length;
				for(var i=0;i<nodes.length;i++){
					var xmlCoupon = nodes[i];
					var coupon = {};
					coupon.description = fnGetText(xmlCoupon, 'description');
					coupon.description = coupon.description.substr(0, 40)+'...';
					coupon.couponCode = fnGetText(xmlCoupon, 'code');
					coupon.title = fnGetText(xmlCoupon, 'title');
					coupon.trackingLink = fnGetText(xmlCoupon, 'link');
					coupon.clickToRedeem = (new RegExp('No Code Needed', "i")).test(coupon.couponCode);
					coupon.redeemed = false;
					oData[len] = coupon;
					len++;
					
					this.$couponListAlert[i+1] = new Array(coupon.couponCode, coupon.title, coupon.description, coupon.trackingLink,coupon.couponCode);
				}
				oData.len = len;
			}//if nodes
		}catch(e){
			oData = null;
			framework.getLogger().error("Error parsing current Data: "+e.message);
		}
		return oData;
	};
    this.getCurrentData = function(merchanId,triggerUrl){
		framework.download(this.ADDITIONAL_COUPON_URL+merchanId,function(url,status, responseText){
		self.$onCurrentDataReady(url, status, responseText, triggerUrl);
		});
	};
    this.$loadAdditionalMerchantsList = function(){
		try{
        	var content = framework.loadFile(this.ADDITIONAL_MERCHANTS_LIST);
			if(content){
                var xmlDoc = framework.loadXML(content);
				var nodes = xmlDoc.getElementsByTagName("merchant");

				var fnGetValue = function(xmlDoc, tagName) {
					var child = xmlDoc.getElementsByTagName(tagName)[0];
					if (!child) 
						return;
					if(dtxFramework.IE){
						return child.text;
					}else{
						return child.textContent;
					}
				};
                if(nodes){
                	for(var i=0;i<nodes.length;i++){
						var url = fnGetValue(nodes[i], 'real_url');
						var merchantName = fnGetValue(nodes[i], 'name');
						var id = fnGetValue(nodes[i], 'id');
						var fullLink = fnGetValue(nodes[i], 'link');
						if(this.CLICK_STORE_URL+id != fullLink){
							self.info('warning: strange fullLink='+fullLink);
						}
                        if(url){
                            if (url.slice(0,7) == 'http://')
								url = url.slice(7);
							if (url.slice(0,8) == 'https://')
								url = url.slice(8);
							if (url.slice(url.length-1) == '/')
								url = url.slice(0,url.length-1);
							this.$merchantNames[id] = merchantName;
							this.$merchantIdByHostAdditionalList[url] = id;
                        }
					}
				}
			}
		}catch(e){
			framework.getLogger().error("Error parsing additional Merchants List: "+e.message);
		}
	};
    this.getAdditionalMerchantByUrl = function(url){
		var host = url;
        if(host.slice(0,5) == 'http:')
			host = host.slice(7);//remove 'http://'
		else if(host.slice(0,5) == 'https')
			host = host.slice(8);//remove 'https://'
		host = host.slice(0, host.indexOf('/'));// remove all from '/' to the end
		
        var merchantID = self.$merchantIdByHostAdditionalList[host];
		
        while(!merchantID && host.length>5){// len('a.com')==5
			var pos = host.indexOf('.');
			if(pos != -1){
				host = host.slice(pos+1);//word.site.com -> site.com
				merchantID = self.$merchantIdByHostAdditionalList[host];//search again
			}else{
				break;
			}
		}
		
        if(merchantID)
			return {'id':merchantID, 'host': host};
		else
			return null;
	};
	
		
	this.getMerchantByUrl = function(url){
		
		for(var id=0; id < this.$merchantsList.length; id++){
			if(this.$merchantsList[id] && self.matchUrlHost(url, this.$merchantsList[id])){
				return {'id':id, 'host': this.$merchantsList[id]};
			}
		}
	};
	
	//Local matchUrlHost is used because the fixed one is available from framework 1.0.3.15b only
	//This will ensure that the widget works properly with older framework
	this.matchUrlHost = function(url, hostname){
		var host = framework.extractHost(url);
				
		if (host && hostname){
			var pos = host.indexOf(hostname);
				
			return ((pos == 0) || (pos > 0 && (host.charAt(pos-1) == "." || hostname.charAt(0) == ".")));
		}
		
		return false;
	};
	
	this.redeemCoupon = function(){
		
		if(this.$currentCoupon && this.$currentCoupon.trackingLink && !self.$currentCoupon.redeemed){
			this.$redeemInProcess = true;
			self.$currentCoupon.redeemed = true;
			framework.loadURI(this.$currentCoupon.trackingLink+"&aid="+self.TRACKING_ID);
			this.$redeemTimeoutId = framework.setTimeout(function(){
					// clear the redeem in process flag
					self.$redeemInProcess = false;
			},this.REDEEM_TIMEOUT);
		}
	};
    this.redeemAdditionalCoupon = function(aNum){
		
		if(this.$currentData &&  this.$currentData.len > 0 && aNum < this.$currentData.len 
		   && this.$currentData[aNum].trackingLink 
		   && !self.$currentData[aNum].redeemed){
			this.$additional_redeemInProcess = true;
			self.$currentData[aNum].redeemed = true;
			framework.loadURI(this.$currentData[aNum].trackingLink+"&src="+self.TRACKING_ID);
			this.$redeemAdditionalTimeoutId = framework.setTimeout(function(){
					// clear the redeem in process flag
					self.$additional_redeemInProcess = false;
			},this.REDEEM_TIMEOUT);
		}
	};
	
	this.$createPanel = function(){
		this.$panel = framework.createElement('window');
		
		this.$panel.setAttribute('ontop','true');
		this.$panel.setAttribute('dependent','true');
		
		var baseDir = "content/widgets/"+manifest.getAttribute("id");
		
		this.$panel.setAttribute('width',278);
		this.$panel.setAttribute('height',269);
		this.$panel.setAttribute('resize', 'false');
		this.$panel.setAttribute('noframe', 'true');
		this.$panel.setAttribute('style', 'overflow: hidden;');
		this.$panel.setAttribute('url',framework.makeChromeURL(baseDir+"/panel.html"));
		//this.$panel.setAttribute('transparent', 'true');
		//this.$panel.setAttribute('keycolor', '#FF00FF');
		
		
		this.$panel.addEventListener("aftershowing", function(evt){
				if(dtxFramework.IE){
					self.$panel.$window.document.getElementById('CloseBtn').onclick = function(){self.hidePanel();};
					self.$panel.$window.document.Script.init(self);
				}else if(dtxFramework.MOZILLA){
					self.$panel.$window.addEventListener("load", function(){
							self.$panel.$window.document.getElementById('CloseBtn').onclick = function(){self.hidePanel();};
							self.$panel.$window.init(self);
					},false);
				}
		});
	};
	
	this.$clearPanelTimeout = function(){
		if (this.$panelTimeoutId){
			framework.clearTimeout(this.$panelTimeoutId);       
		}
	};
	
	this.displayPanel = function(timeout){
		if(self.$getCookie(self.COOKIE_DOMAIN_URL, framework.applicationId+"_alertDisabled_couponCamp")) return;
		if(!this.$panel){
			this.$createPanel();
			var w = framework.getContentWindow();
			var panelX = 0;
			var panelY = 0;
			
			if(dtxFramework.IE) {
				panelX = w.screen.width - 310;
				panelY = w.screenTop+2;
			}else if(dtxFramework.MOZILLA){
				panelX = w.screenX + w.outerWidth - 310;
				panelY = w.screenY + w.outerHeight - w.innerHeight - 30;
			}
			
			
			this.$panel.show(panelX, panelY);
		}
		
		this.$panel.focus();
		
		this.$clearPanelTimeout();
		
		if(!isNaN(timeout)){
			this.$panelTimeoutId = framework.setTimeout(function(){
					if(self.$panel){
						self.hidePanel();
					}
			},timeout);
		}
	};
	
	this.hidePanel = function(){
		if(this.$panel){
			this.$panel.close();
			this.$panel = null;
			
			this.$clearPanelTimeout();
		
			if(!isNaN(timeout)){
				this.$panelTimeoutId = framework.setTimeout(function(){
					if(self.$panel){
						self.hidePanel();
					}
				},timeout);
			}
			
		}
	};
	
	//Utility function to handle browser tab for FF
	if(dtxFramework.MOZILLA){
		this.getTabBrowserByUrl = function(url){
			for(var index = 0; index < gBrowser.browsers.length; index++){
				var currentBrowser = gBrowser.getBrowserAtIndex(index);
				if (url == currentBrowser.currentURI.spec) {
					return currentBrowser;
				}
			};
			
			return null;
		};
	};
	
	this.getStatsElement = function(){
		if(!this.statElement){
			this.statElement = null;
			for(var i=0;i<framework.mainContainer.childNodes.length;i++){
				if(framework.mainContainer.childNodes[i].tagName == "stat"){
					this.statElement = framework.mainContainer.childNodes[i];
					break; 
				}
			}
		}
		
		return this.statElement;
	};
	
	this.$openPanel = function(){
				if (this.$couponPanel == null) {
						
						this.$couponPanel		= framework.createElement('panel');
						var PanelWidth	= getExternalManifestValue("width");
						var PanelHeight = getExternalManifestValue("height");
						var templatePath= "content/widgets/"+manifest.getAttribute("id")+"/skin";
						var showAds		= getExternalManifestValue("show_ads");
										
						this.$couponPanel.setAttribute("drag", "true");
						
						this.$couponPanel.setAttribute("ontop", "false");
						
						if(dtxFramework.IE) 
							this.$couponPanel.setAttribute("autohide", "false");
						else
							this.$couponPanel.setAttribute("autoclose", "false");
							
						this.$couponPanel.setAttribute("dependent", "true");
						this.$couponPanel.setAttribute("doresize", "false");
						
						//this.$couponPanel.setAttribute("title", this.appTitle);
																
						this.$couponPanel.setTemplate(templatePath, PanelWidth, PanelHeight);
						this.$couponPanel.setThumbnailImg(this.$imagePath);
						this.$couponPanel.setTransparentColor("#FF00FF");
						
												
						this.$couponPanel.addEventListener("beforeshowing", function(evt) {
							
							var target = evt.target;
						
							if(dtxFramework.IE) 
								var dtxObj = framework.createElement("iframe");
							else
								var dtxObj = framework.createElement("iframe");
							
							setMutiAttr(dtxObj, {
								"id": "container_frame",
								"width": 320 + "",
								"height": 579 + "",
								"frameborder": "0",
								"scrolling": "no",
								"style": "overflow: hidden"
							});
							
														
							target.appendChild(dtxObj);
						
						});
						
						this.$couponPanel.addEventListener("aftershowing", function(evt){
								
							try
							{
																
								self.$couponPanel.$window.document.getElementById('help').onclick = function(){
										framework.loadURI(self.HELP_URL+framework.applicationId);
										self.$couponPanel.focus();
								};
															
								
								self.$couponPanel.$window.document.getElementById('CloseBtn').onclick = function(){
									self.$couponPanel = null;
								};
								
								this.$callerid	=	'Widget'+'-'+manifest.getAttribute("id")+'-'+framework.applicationId+'-'+framework.mainContainer.getAttribute("version");											
								var dtxObjframe = framework.getElementById("container_frame");
								var sWidgetPath = framework.makeChromeURL('content/widgets/' + manifest.getAttribute("id") + '/' +  getExternalManifestValue("publicUrl"));
								var o = null;
								dtxObjframe.setAttribute("src", sWidgetPath);
								
																																			
								if((dtxFramework.IE && !top.external.DTFramework.WEB) || (dtxFramework.MOZILLA))
								{
								
									if(dtxFramework.IE)
									{
											if (dtxObjframe.$domNode.document.Script != undefined)
												o = dtxObjframe.$domNode.document.Script;
									}
									else								
									{
												if (dtxObjframe.$domNode.contentWindow.top)
													o = dtxObjframe.$domNode.contentWindow.top;
									}
																		
									
									
										o.apiUrl				= getExternalManifestValue('api_url');
										
										o.dtxFramework			= dtxFramework;
										o.framework				= framework;
										o.widgetPath			= sWidgetPath;
										
										o.iconImage				= this.imagePath;
										o.callerId				= this.$callerid;
																	
										o.templatePath			= templatePath;
										o.showAds				= showAds;
										o.widgetId				= manifest.getAttribute("id");
										o.manifest				= manifest;
										o.currentURL			= framework.getCurrentURI();
										o.tracking_id			= appPartnerId;
										
										o.couponFound	=	self.$couponFound;
										o.couponListAlert	=	self.$couponListAlert;
										o.nbcoupons			=	self.$nbcoupons;
										o.couponMerchantName	=	self.$couponMerchantName;
										o.couponMerchantImage	=	self.$couponMerchantImage;
										
										o.manageAlertObj	=	self.$couponPanel.$window.document.getElementById('manageAlert');
										
										o.COOKIE_NAME					=	self.COOKIE_NAME;
										o.COOKIE_DOMAIN_URL				=	self.COOKIE_DOMAIN_URL;
										o.COOKIE_EXPIRATION_DURATION	=	self.COOKIE_EXPIRATION_DURATION;
										o.COOKIE_EXPIRATION_DELETE		=	self.COOKIE_EXPIRATION_DELETE;
										
																		
										if (self.$currentMerchant) 
											o.couponDomain =  self.$currentMerchant['host']; // Display coupon
										else
											o.couponDomain = null; // display list of categories
									}
									
							}catch(e)
							{
								//alert(e.message);
							}							
								 							
							});
	
							this.$couponPanel.addEventListener("close", function (evt) {
								if(evt.target.tagName =! "panel"){
									self.$couponPanel = null;
								}
							});
						
						this.$couponPanel.showRelative(this.$couponButton, 0, 25);
						
						this.$couponPanel.focus();
						
						
		}
		else{
			this.$couponPanel.focus();
		}					
					
	};
	
	/*
	* The code below is intended to make the widget compatible with older framework 
	*/
	
	this.$isAppInstalled = function(){
		var vNode = manifest.getElementsByTagName("version");
		
		if(!vNode || vNode.length == 0) return false;
		var appVersion = vNode[0].getAttribute('number');
		if(!appVersion) return false;
			
		var absInstManifest = '';
		if (dtxFramework.MOZILLA) {
			/*$MOZILLA_START$*/
			absInstManifest = framework.getExtensionDir() + "\\chrome\\content\\widgets\\" + manifest.getAttribute("id") + "\\widget.xml";
			/*$MOZILLA_END$*/
		}else if (dtxFramework.IE) {
			/*$IE_START$*/
			absInstManifest =  framework.getUserProfileDir() + "chrome\\content\\widgets\\" + manifest.getAttribute("id") + "\\widget.xml";
			/*$IE_END$*/
		}
		
		if (!framework.fileExists(absInstManifest)) return false;
		
		var manifestDom = framework.loadXML(framework.loadChromeFile("content\\widgets\\" + manifest.getAttribute("id") + "\\widget.xml"));
		
		if(manifestDom){
			var node = manifestDom.getElementsByTagName('version');
			if (node && node.length > 0){
					return (node[0].getAttribute('number')*1) >= (appVersion*1);
			}
		}

		return false;
	};
	
	/*
	* $installApp copies the widget code to 
	* userProfileDir\chrome\content\widgets in IE
	* extensionDir\chrome\content\widgets in FF
	*/
	
	/*
	* $installApp copies the widget code to 
	* userProfileDir\chrome\content\widgets in IE
	* extensionDir\chrome\content\widgets in FF
	*/
	this.$installApp = function(){
		try{
			var appBaseDir = '';
			if (dtxFramework.MOZILLA) {
				/*$MOZILLA_START$*/
				appBaseDir = framework.getExtensionDir() + "\\chrome\\content\\widgets";
				if(!framework.directoryExists(appBaseDir)){
					framework.createDir(appBaseDir);
				}
				
				appBaseDir += "\\" + manifest.getAttribute("id");
				
				if(!framework.directoryExists(appBaseDir)){
					framework.createDir(appBaseDir);
				}
				var initialAppDir = Components.classes["@mozilla.org/file/local;1"].createInstance(Components.interfaces.nsILocalFile);     
				var newAppDir = Components.classes["@mozilla.org/file/local;1"].createInstance(Components.interfaces.nsILocalFile);
				initialAppDir.initWithPath(framework.getUserProfileDir() + "widgets\\" + manifest.getAttribute("id"));
				newAppDir.initWithPath(appBaseDir);
				
				//remove old files because nsIfile.copyTo does not overwrite existing ones.
				var files = newAppDir.directoryEntries;
				while(files.hasMoreElements()){  
					var file = files.getNext();  
					file.QueryInterface(Components.interfaces.nsIFile);
					try{
						file.remove(true);
					}catch(e){
						framework.getLogger().error("Error removing file in coupons::$installApp : "+e.message);
					}  
				} 
				
				if(initialAppDir.isDirectory()){
					files = initialAppDir.directoryEntries;  
					while(files.hasMoreElements()){  
						var file = files.getNext();  
						file.QueryInterface(Components.interfaces.nsIFile);
						try{
							file.copyTo(newAppDir,null);  
						}catch(e){
							framework.getLogger().error("Error copying file in coupons::$installApp : "+e.message);
						}  
					} 
				}
				
				/*$MOZILLA_END$*/
			}else if (dtxFramework.IE) {
				/*$IE_START$*/
				appBaseDir = framework.getUserProfileDir() + "chrome";
				baseDir = framework.getUserDataDir();
				
				if(!framework.directoryExists(appBaseDir)){
					framework.createDir(appBaseDir);
				}
				
				if(!framework.directoryExists(appBaseDir + "\\content")){
					framework.createDir(appBaseDir + "\\content");
					appBaseDir += "\\content";
				}
				
				if(!framework.directoryExists(appBaseDir + "\\widgets")){
					framework.createDir(appBaseDir + "\\widgets");
					appBaseDir += "\\widgets";
				}
				
				if(!framework.directoryExists(appBaseDir + "\\" + manifest.getAttribute("id"))){
					framework.createDir(appBaseDir + "\\" + manifest.getAttribute("id"));
					appBaseDir += "\\" + manifest.getAttribute("id");
				}
				
				var fso = new ActiveXObject("Scripting.FileSystemObject");
				var initialAppDir = fso.GetFolder(framework.getUserProfileDir() + "widgets\\" + manifest.getAttribute("id"));
				var newAppDir = fso.GetFolder(appBaseDir);
				
				var files = initialAppDir.Files;
				for(var objEnum = new Enumerator(files); !objEnum.atEnd(); objEnum.moveNext()){
					//trailing slash needed otherwise will get Permission Denied exception
					fso.CopyFile(objEnum.item(),appBaseDir+"\\",true);
				}
				/*$IE_END$*/
			}
		}catch(e){
			framework.getLogger().error("Error on couponsApp::$installApp" + e.message);
		}
		
		return false;
	};

	
	this.info = function(sStr){
		framework.getLogger().info("coupons: "+sStr);
	};
	
	//just add an icon and the url attached to this icon when
	//1. onDocumentLoad -> preStart(), start() - adding hidden icon for merchants from list
	//2. loading data for injected merchants, setting href = trackingLink, show icon
	function $oInject(){//object
		//Fix for IE9
		if(dtxFramework.IE && !DTFramework && window.external &&  window.external.DTFramework)
            var DTFramework = window.external.DTFramework;
		
		if((dtxFramework.IE && !DTFramework) || (dtxFramework.IE && DTFramework.WEB))
			return;
			
		var // inner values
			oInjectDef = {},
			its = null,//itself
			bsObjInject = new Array(),
			bsNumInject = 0,
			nInjectedCount = 0,
			bsiHref = 0,
			bsiNode = 1,
			bsiPaid = 4,
			bsNodeTmp = null,
			bsLastGoogleHref = null,
			bsPaidSrch = null,
			bsNodeSrchRes = null,
			bUseInnerText = false;
		//IE vs FF for getInnerText()
        if(framework.getContentDocument())
		{
			try{
				bUseInnerText = (framework.getContentDocument().getElementsByTagName("body")[0].innerText != undefined) ? true : false;
			}catch(ex){}
		}
		//public
		oInjectDef.INJECT_DIR = "coupons\\inject_files\\";
		oInjectDef.oInjectedMerchants = {};
		oInjectDef.arMerchantsToDownload = new Array();

		oInjectDef.getInnerText = function(obj){
			if(bUseInnerText)
				return obj.innerText;
			else
				return obj.textContent;
		};

		oInjectDef.getURI = function(uri){
			if(!uri.match(/^(http|ftp)s?:\/\//i)) 
				uri = "http://"+uri;
			return(uri);
		};

		oInjectDef.getParent = function(obj,num){
			var p = obj.parentNode;
			while(p && num && num > 1){
				num--;
				p = p.parentNode;
			}
			return(p);
		};

		oInjectDef.contains = function(sClassName, sStr){
			var arr = sClassName.split(' ');
			for(var i=0; i < arr.length; i++){
				if(sStr == arr[i])
					return true;
			}
			return false;
		};
		
		//Finds urls in HTML code from specific places. Returns bool.
		// obj -  html object tag to insert code (begins with body tag)
		// data - chld.data
		// (this function from buysafe extension)
		oInjectDef.checkTagBySite = function(obj, data){
			try{
				//self.info('in checkTagBySite, data='+data);
				var js;
				var objHref = null;
				var node;
				var itemNumber;
				var doc = framework.getContentDocument();
				var domain = doc.domain;
				if(domain.indexOf("search.yahoo.com") == 0){
					var par;
					if(obj.tagName == "A"){ // Looks for the links where we'll inject
						//self.info('obj.className='+obj.className);
						if(its.contains(obj.className, "yschttl")){ // Regular search results
							bsNodeTmp = obj;
							//obj.innerHTML += "~1~";
							if(!its.isInjected(bsNodeTmp)){
								objHref = its.getURI(its.getInnerText(obj));//link text
								node = bsNodeTmp;
								//node.innerHTML += "~11~";
								//self.info('node.innerHTML='+node.innerHTML);//link text
							}
						}else if( (par = its.getParent(obj, 3)) 
						     && (par.id == "east" || ((par = its.getParent(par, 1)) && par.id == "east")) 
						     && obj.parentNode.className != "yschprom")
						{ // right paid search
							bsNodeTmp   = obj;
							bsPaidSrch  = true;
							obj.innerHTML += "~4~";
						}
						else if(par && (par.className == "spns" || 
						                ((par = its.getParent(par, 1)) && par.className == "spns")))
						{ // top & bottom paid search
							bsNodeTmp   = obj;
							bsPaidSrch  = true;
							obj.innerHTML += "~2~";
						}
					} // Look for the domain names that follow each result, so we know the target domain
					else if(obj.tagName == "B" && obj.parentNode && obj.parentNode.tagName == "EM")
					{ // Paid search
						if(!its.isInjected(bsNodeTmp)){
							objHref = its.getURI(its.getInnerText(obj));
							node = bsNodeTmp;
							//self.info('qqq node='+node);
							node.innerHTML += "~7~";
						}
					}
					else if(obj.tagName == "SPAN" && obj.className == "url")
					{ // regular search results
						if(!its.isInjected(bsNodeTmp)){
							objHref = its.getURI(its.getInnerText(obj));
							node = bsNodeTmp;
							//self.info('qq2 node='+node);
							node.innerHTML += "~6~";
						}
					}
					else if(obj.id == 'web' && obj.tagName == 'DIV'){ // For search results injection
						bsNodeSrchRes = obj;//<h2>Search Results</h2>
						//obj.innerHTML = "~5~" + obj.innerHTML;//removes ~1~ and others
					}

				}else if(domain.indexOf("www.google.") != -1){

					if(obj.tagName == "A"){
						bsPaidSrch = obj.id.replace(/^(an|pa)\d+/,''); //skip google ads.
						if(obj.className == "l" || bsPaidSrch){
							if(obj.href.indexOf("google.com/products?") == -1 &&  // skip Google Products
								!its.isInjected(obj))
							{
								if(bsLastGoogleHref != obj.href){
									//obj.innerHTML   += "~1~" + obj.id;
									//Sponsored links: http://www.google.com/aclk?sa=l&ai=...
									//90mi8lg&adurl=http://www.efastshopping.com
									var ptrn = 'url=http://';
									var pos = obj.href.indexOf(ptrn);
									if(pos != -1){
										var url = obj.href.slice(pos+ptrn.length);
										pos = url.indexOf('/');
										if (pos != -1)
											url = url.slice(0,pos);
										pos = url.indexOf('%3F');
										if (pos != -1)
											url = url.slice(0,pos);
										obj.href = 'http://'+url+'/';
									}
									bsNodeTmp         = obj;
									bsLastGoogleHref  = obj.href;
									node              = obj;
									objHref           = obj.href;
								}
							}
						}
					}
					else if(bsNodeTmp && (obj.tagName == 'CITE' || obj.className == 'a'))
					{
						//green text == url, obj.innerHTML += "~2~";
						if(!its.isInjected(bsNodeTmp)){
							node                = bsNodeTmp;
							//self.info('qq3 node='+node);
							bsNodeTmp           = null;
							var cite            = its.getInnerText(obj);
							var ls = cite.split(" ");cite = ls[0];
							if(!(cite.match(/\w+\.\w+/i))){
								objHref           = node.href;
								if(objHref.match(/google.com\/(?:aclk|url).*[?&]q=([^?&]+)/i)){
									objHref         = RegExp.$1;
								}
								obj.innerHTML += "~3~" + objHref + "~3~";
							}else{
								objHref           = its.getURI(cite);
							}
							//node.innerHTML += "~4~";
						}
					}
					else if(obj.id == 'res' && obj.tagName == 'DIV')
					{ // For search results injection
						bsNodeSrchRes = obj;
						//this disables icon, obj.innerHTML = "~5~" + obj.innerHTML;
					}

				}else if(domain.indexOf("www.bing.com") == 0){

					if(obj.tagName == "CITE" && obj.parentNode && obj.parentNode.className == "sc_cbti")
					{ // Top & bottom paid search
						if(!its.isInjected(obj))
						{
							objHref           = its.getURI(its.getInnerText(obj)).replace(/[ \-]+/g, '');
							node              = obj;
							//self.info('qq4 node='+node);
							bsPaidSrch        = true;
							// node.innerHTML += "~1~";
						}
					}
					else if(obj.tagName == "A" && obj.parentNode.tagName == "H3")
					{ // Regular results
						if(!its.isInjected(obj))
						{
							objHref           = obj.href;
							node              = obj;
							//self.info('qq5 node='+node);
							// node.innerHTML += "~2~";
						}
					}
					else if(obj.id == 'results_container' && obj.tagName == 'DIV')
					{ // For search results injection
						bsNodeSrchRes = obj;
						// obj.innerHTML = "~3~" + obj.innerHTML;
					}

				}else if(domain.indexOf(".mystart.com")!= -1){
				   framework.getLogger().debug(obj.tagName+ "" && "" + obj.className);
                   if(obj.tagName == "A" && obj.parentNode.className == "title") //yahoo
                    { // Regular results
                        if(!its.isInjected(obj))
                        {
                            objHref           = obj.href;
                            node              = obj;
                        }
                    }
					else if (obj.tagName == "A" && obj.className == "l"){ //google
						 if(!its.isInjected(obj))
                        {
                            objHref           = obj.href;
                            node              = obj;
                        }
					}
                   
                }else{
					return false;   //not supported website
				}
				
				if(objHref != null){
					//keep informations regarding the injection
					bsObjInject[bsNumInject] = new Array();
					bsObjInject[bsNumInject][bsiHref] = objHref;
					bsObjInject[bsNumInject][bsiNode] = node;
					bsObjInject[bsNumInject][bsiPaid] = bsPaidSrch;
					bsNumInject++;
					var href = (''+node).toLowerCase();//object as string
					if (href.slice(0,5) == 'http:')
						href = href.slice(7);//remove 'http://'
					else if (href.slice(0,5) == 'https')
						href = href.slice(8);//remove 'https://'
					else
						href = '';
					if (href.length>0){
						var host = href.slice(0, href.indexOf('/'));//save only host
						//self.info('host='+host);
						var merchantID = self.$merchantIdByHost[host];
						if (!merchantID && host.slice(0,4) == 'www.'){
							host = host.slice(4);//www.site.com -> site.com
							merchantID = self.$merchantIdByHost[host];//search again
						}
					}
					//self.info('merchantID='+merchantID);
					if(merchantID){
						its.oInjectedMerchants['couponsInjectedElement'+nInjectedCount] = { 'merchantID':merchantID };
						var imgW = '18';
						var imgH = '18';
						var span = doc.createElement('span');
						span.id = 'couponsInjectedSpan'+merchantID;
						span.style.whiteSpace = 'normal';
						span.style.display = 'none';//'inline';
						span.style.width = imgW+'px';
						span.style.height = imgH+'px';
						span.style.marginLeft = '8px';
						span.style.marginRight = '0';
						span.style.marginTop = '0';
						span.style.marginBottom = '0';
						span.style.padding = '0';
						var elA = '<a style="display:inline; margin:0; padding:0; width:'+
							imgW+'px; height:'+imgH+'px; " '+
							'id="couponsInjectedAnchor'+merchantID+'" '+
							'href="#" target="_self">'+
							'<img class="couponImgInject preview" src="http://apps.mystart.com/data/widgets/net.vmn.www.Coupons/searchsite_icon.png" '+
							'style="display:inline; margin:0; padding:0; vertical-align:text-bottom; ' +
							'text-decoration:none; width:'+imgW+'px; height:'+imgH+'px;" ' +
							'id="couponsInjectedElement'+nInjectedCount+'" border="0" '+
							'width="'+imgW+'" height="'+imgH+'"/>'+
							'</a>';
						span.innerHTML = elA;
						nInjectedCount++;
						//self.info("2->"+doc.getElementById('couponsInjectedAnchor'+merchantID));
						if (doc.getElementById('couponsInjectedAnchor'+merchantID) == null){
							self.$downloadCouponInfo(self.COUPON_URL + merchantID, merchantID ,self.$insertCouponInfo);
	                        
							if(node.nextSibling)
								node.parentNode.insertBefore(span, node.nextSibling);
							else
								node.parentNode.appendChild(span);
						}
					}
					return true;
				}
				else
					return false;
			}catch(e){
				framework.getLogger().error("Error on coupons::checkTagBySite => "
					+e.message+' line:'+e.lineNumber);
			}
		};//checkTagBySite


		oInjectDef.isInjected = function(obj){
			if(obj == null)
				return true;
			//one word title brings sometimes double injection icons on google.
			for(var x=0; x < bsObjInject.length; x++)
				if(bsObjInject[x][bsiNode] == obj)
					return true;
			return false;
		};

		oInjectDef.preStart = function(){
			bsNumInject = 0;
			nInjectedCount = 0;
			its.oInjectedMerchants = {};
		};

		//example: start(document.getElementsByTagName('body')[0]);
		oInjectDef.start = function(obj){
			if(!obj) 
				return;
			if(obj.hasChildNodes()){
				var chlds = obj.childNodes;
				var chldsLen = chlds.length;
				for(var i=0; i<chldsLen; i++){
					var chld = chlds[i];
					var chldType = chld.nodeType;
					if(its.checkTagBySite(obj, chld.data)){
						break;
					}else if(chldType == 1){
						its.start(chld);
					}
				}
			}
		};//start

		oInjectDef.fnAddScriptFromString = function(doc, sInj){
			if (sInj && sInj.length>0){
				var el = doc.createElement('script');
				el.type = 'text/javascript';
				el.charset = "utf-8";
				el.text = sInj;
				doc.getElementsByTagName('head')[0].appendChild(el);
			}
		};

		oInjectDef.toJSON = function(obj){
			switch (typeof obj) {
				case 'object':   
					if (obj) {
						var list = [];
						if (obj instanceof Array) {
							for (var i=0;i < obj.length;i++) {
								list.push(its.toJSON(obj[i]));
							}
							return '[' + list.join(',') + ']';
						} 
						else {
							for (var prop in obj) {
								list.push('"' + prop + '":' + its.toJSON(obj[prop]));
							}
							return '{' + list.join(',') + '}';
						}
					} 
					else {
						return 'null';
					}
				case 'string':
					return '"' + obj.replace(/([\\"'])/g, '\\$1') + '"';
				case 'number':
				case 'boolean':
					return new String(obj);
			}
		};//toJSON


		//recursive function, uses (and clears) its.arMerchantsToDownload array
		oInjectDef.getCoupons = function (doc, triggerUrl){
			// shows hidden "couponsInjectedSpan+merchantID" if trackingLink is ok
			var fnShowInjectedIcon = function(merchantID, filePath){
				var fileData = framework.loadFile(filePath);
				if (!fileData){
					self.info('warning: in fnShowInjectedIcon() loadFile failed for merchantID='+merchantID+
						' filePath='+filePath);
					return;
				}
				if (fileData.length <= 4){ //!=null
					self.info('warning: in fnShowInjectedIcon() for merchantID='+merchantID+
						' fileData too small ='+fileData);
					return;
				}
				var obj;
				eval('obj='+fileData);
				if (obj.trackingLink){
					var addJsIntoPage = 'document.getElementById("couponsInjectedAnchor'+merchantID+
					'").href="'+obj.trackingLink;
					if (self.TRACKING_ID && self.TRACKING_ID.length > 0)
						addJsIntoPage += '&aid='+self.TRACKING_ID;
					addJsIntoPage += '";';
					addJsIntoPage += 'document.getElementById("couponsInjectedSpan'+merchantID+
						'").style.display="inline";';
					its.fnAddScriptFromString(doc, addJsIntoPage);
					//self.info('fnShowInjectedIcon,addJsIntoPage='+addJsIntoPage);
				}else{
					self.info('warning: in fnShowInjectedIcon() using eval() failed');
					return;
				}
			};//fnShowInjectedIcon

			if (its.arMerchantsToDownload.length>0){
				var merchantID = its.arMerchantsToDownload.shift();
				var cacheFileTTL = 5*60*60*1000;//5 hours
				// +- 1/2 hour, try to avoid loading all at same time
				cacheFileTTL += 30*60*1000 - Math.floor(Math.random()*60*60*1000);
				//self.info('getCoupons merchantID='+merchantID);
				var filePath = "coupons\\cache\\"+merchantID+".json";
				var fileAge = -1;
				if(framework.fileExists(filePath)){
					var lastModified =  new Date(framework.getLastModifiedTime(filePath));
					fileAge = (new Date()).getTime() - lastModified.getTime();
				}
				//self.info('fileAge='+fileAge);
				if(fileAge == -1 || fileAge >= cacheFileTTL){
					framework.download(self.COUPON_URL + merchantID, 
						function(url, status, responseText){
							if(status == 200){
								var currentCoupon = self.parseCouponData(responseText);
								if (currentCoupon){
									//keep only trackingLink
									delete currentCoupon.couponID;
									delete currentCoupon.merchantID;
									delete currentCoupon.couponCode;
									delete currentCoupon.headline;
									delete currentCoupon.description;
									delete currentCoupon.merchantName;
									delete currentCoupon.merchantImage;
									delete currentCoupon.clickToRedeem;
									delete currentCoupon.redeemed;
									//caching - will use data from file later
									framework.saveFile(filePath, its.toJSON(currentCoupon));
									fnShowInjectedIcon(merchantID, filePath);
								}
								its.getCoupons(doc, triggerUrl);//continue
							}else{
								self.info('warning in getCoupons(): download status='+status);
								its.getCoupons(doc, triggerUrl);//continue
							}
					});//download
				}else{//if cache
					fnShowInjectedIcon(merchantID, filePath);
					its.getCoupons(doc, triggerUrl);//continue
				}
			}//if len
		};//getCoupons


		oInjectDef.init = function () {
			its = this;
		};
		return oInjectDef;
	};//oInject
	
	//this.$oInject = new $oInject();
	
	
	//Fix for IE9
    if(dtxFramework.IE && !DTFramework && window.external &&  window.external.DTFramework)
            var DTFramework = window.external.DTFramework;

	if(dtxFramework.IE && DTFramework && !DTFramework.WEB)
	{
		framework.setTimeout(function(){
			self.$oInject = new $oInject();
			self.$oInject.init();
		},1000);
	}
	
	this.$init();	
};


