
function IsIE() {
	return (navigator.appName == "Microsoft Internet Explorer");
};

if(!IsIE() &&document.getElementById("bottom_div")) {
  resetElements(); //fix for FF3.0 - the load event was not fired for divs
}

function resetElements()
{
	adjustDragger();
	adjustSize();
};

function setImgClsBtn(img) {
	try {
		var btnClose = document.getElementById("CloseBtn");
		var crtImg = btnClose.getAttribute("src");
		var temp = crtImg.lastIndexOf("/");
		var newimg = crtImg.substring(0, temp + 1) + img;
		btnClose.setAttribute("src", newimg);
	}
	catch(e) 
	{
//		alert("err");
	}
	//alert("Panel hide");
	//top.panel.hide();
}

function adjustDragger() {
	try {
		var imgTemplate = document.getElementById("idImgTemplate");
		var imgDrag = document.getElementById("idDragImg");
		var imgBtn = document.getElementById("CloseBtn");
		var newWidth;
		if(IsIE()) {
			//no op necessary
			newWidth = document.body.clientWidth - imgTemplate.width - imgBtn.width - 20;
		}
		else {
			newWidth = window.outerWidth - imgTemplate.width - imgBtn.width - 20;
		}
		imgDrag.width = newWidth;
		document.getElementById('idNewDraggable').width = newWidth;
	}
	catch(e) 
	{
//		alert("err");
	}
};

function adjustSize() {
	
	try {
		var divLBar = document.getElementById("id_left_bar");
		var divTBar = document.getElementById("id_titlebar");

		var divBottBarL = document.getElementById("bottom_div_left");
		var divBottBar = document.getElementById("bottom_div");
		var divBottBarR = document.getElementById("bottom_div_right");
		var divResize = document.getElementById("ResizeDiv");

		if(divLBar && divTBar)
		{
			if(IsIE()) {
				divLBar.style.height = document.body.clientHeight - 8 + "px";
				divTBar.style.height = document.body.clientHeight - 8 + "px";
				if(divBottBar) {
					divBottBar.style.width = document.body.clientWidth - 16 + "px";
				}
			}
			else {
				divLBar.style.height = window.outerHeight - 8 + "px";
				divTBar.style.height = window.outerHeight - 16 + "px";
				if(divBottBar) {
					divBottBar.style.width = window.outerWidth - 18 + "px";
				}

				if(divResize) {
					divResize.style.position = "fixed";
				}
				if(divBottBarL) {
					divBottBarL.style.position = "fixed";
				}
				if(divBottBar) {
					divBottBar.style.position = "fixed";
				}
				if(divBottBarR) {
					divBottBarR.style.position = "fixed";
				}
			}
		}
	}
	catch(e) {
	//	alert("err");
	}
};
